<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.xxfc.platform.order.mapper.OrderTourVerificationMapper">


    <!--获取旅游核销列表-->
    <select id="pageByParm" resultType="com.xxfc.platform.order.pojo.order.OrderTourVerificationVO">
      SELECT o.no,o.real_amount as realAmount,o.`status`,o.type,d.contact_man as contactMan,d.contact_phone as contactPhone,
        d.total_number as totalNumber,d.adult_num as adultNum,d.child_num as childNum
        FROM base_order o LEFT JOIN
        order_tour_detail d ON o.id=d.order_id
        WHERE o.`type`=2 and o.`status`>3 and d.verification_id=#{verificationId}
        ORDER BY  o.status
    </select>
</mapper>